Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class ENUMERATED.Template

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.INTEGER.Template
            |
            +--org.mozilla.jss.asn1.ENUMERATED.Template

All Implemented Interfaces:
  ASN1Template

Enclosing class:
  ENUMERATED

public static class ENUMERATED.Template
extends INTEGER.Template
implements ASN1Template

A template for decoding ENUMERATED values from their BER encodings. The template reads the value as an INTEGER. It does not check that it is a valid value for the ENUMERATED type.

Constructor Summary
`ENUMERATED.Template()`

Method Summary
`ASN1Value` | `decode(Tag tag, java.io.InputStream derStream)` Decodes an ASN1Value from the InputStream with the given implicit tag.
`(package private) Tag` | `getTag()`
`boolean` | `tagMatch(Tag tag)` Determines whether the given tag will satisfy this template.

Methods inherited from class org.mozilla.jss.asn1.INTEGER.Template
`decode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Template
`decode`

Constructor Detail

### ENUMERATED.Template

    public ENUMERATED.Template()

Method Detail

### getTag

    Tag getTag()

  Overrides:
    `getTag` in class `INTEGER.Template`

### tagMatch

    public boolean tagMatch(Tag tag)

  Description copied from interface: `ASN1Template`
  Determines whether the given tag will satisfy this template.

  Specified by:
    `tagMatch` in interface `ASN1Template`
  Overrides:
    `tagMatch` in class `INTEGER.Template`

### decode

    public ASN1Value decode(Tag tag,
                            java.io.InputStream derStream)
                     throws InvalidBERException,
                            java.io.IOException

  Description copied from interface: `ASN1Template`
  Decodes an ASN1Value from the InputStream with the given implicit tag.

  Specified by:
    `decode` in interface `ASN1Template`
  Overrides:
    `decode` in class `INTEGER.Template`
  Parameters:
    `derStream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.
    `InvalidBERException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD